- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions

# FbxBoundary Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

FbxBoundary describes a trimming boundary for a trimmed NURBS object.

Note:Outer boundaries run counter-clockwise in UV space and inner boundaries run clockwise. An outer boundary represents the outer edges of the trimmed surface whereas the inner boundaries define "holes" in the surface.

Definition at line 31 of file fbxtrimnurbssurface.h.

`#include <fbxtrimnurbssurface.h>`

Inheritance diagram for FbxBoundary:
[legend]

List of all members.

## Public Member Functions
void | AddCurve (FbxNurbsCurve *pCurve)
| Adds an edge to this boundary.
int | GetCurveCount () const
| Returns the number of edges within this boundary.
FbxNurbsCurve * | GetCurve (int pIndex)
| Returns the edge at the specified index.
FbxNurbsCurve const * | GetCurve (int pIndex) const
| Returns the edge at the specified index.
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Returns the type of node attribute.
bool | IsPointInControlHull (const FbxVector4 &pPoint)
| Detects if the point is in the boundary's control hull.
FbxVector4 | ComputePointInBoundary ()
| Computes the origin point in the boundary.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
void | ClearCurves ()
void | CopyCurves (FbxBoundary const &pOther)
bool | IsValid (bool mustClosed=true)
bool | IsCounterClockwise ()
## Public Attributes
FbxPropertyT< FbxBool > | OuterFlag
| This property handles outer flag.
## Static Public Attributes
static const char * | sOuterFlag
| Properties.
## Protected Member Functions
| FbxBoundary (FbxManager &pManager, char const *pName)
virtual void | Construct (const FbxBoundary *pFrom)
void | Reset ()
bool | LineSegmentIntersect (const FbxVector4 &pStart1, const FbxVector4 &pEnd1, const FbxVector4 &pStart2, const FbxVector4 &pEnd2) const

## Constructor & Destructor Documentation

FbxBoundary | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

void AddCurve | ( | FbxNurbsCurve * | pCurve | ) |

Search for all occurrences

Adds an edge to this boundary.

Parameters:

  pCurve | The curve to be appended to the end of this boundary

int GetCurveCount | ( |  | ) | const

Search for all occurrences

Returns the number of edges within this boundary.

Returns:
  The number of edges within this boundary

FbxNurbsCurve* GetCurve | ( | int | pIndex | ) |

Search for all occurrences

Returns the edge at the specified index.

Parameters:

  pIndex | The specified index, no bound checking is done.

Returns:
  The edge at the specified index if pIndex is in the range [0, GetEdgeCount() ), otherwise the return value is undefined.

FbxNurbsCurve const* GetCurve | ( | int | pIndex | ) | const

Search for all occurrences

Returns the edge at the specified index.

Parameters:

  pIndex | The specified index, no bound checking is done.

Returns:
  The edge at the specified index if pIndex is in the range [0, GetEdgeCount() ), otherwise, the return value is undefined.

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Returns the type of node attribute.

Reimplemented from FbxGeometry.

bool IsPointInControlHull | ( | const FbxVector4 & | pPoint | ) |

Search for all occurrences

Detects if the point is in the boundary's control hull.

Parameters:

  pPoint | The point to be detected.

Returns:
  `True` if the point is in the boundary's control hull, returns `false` if it is not in the control hull.

FbxVector4 ComputePointInBoundary | ( |  | ) |

Search for all occurrences

Computes the origin point in the boundary.

Returns:
  The origin point.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxGeometry.

virtual void Construct | ( | const FbxBoundary * | pFrom | ) | `[protected, virtual]`

Search for all occurrences

void Reset | ( |  | ) | `[protected]`

Search for all occurrences

bool LineSegmentIntersect | ( | const FbxVector4 & | pStart1,
|  | const FbxVector4 & | pEnd1,
|  | const FbxVector4 & | pStart2,
|  | const FbxVector4 & | pEnd2
| ) |  | const `[protected]`

Search for all occurrences

void ClearCurves | ( |  | ) |

Search for all occurrences

void CopyCurves | ( | FbxBoundary const & | pOther | ) |

Search for all occurrences

bool IsValid | ( | bool | mustClosed = `true` | ) |

Search for all occurrences

bool IsCounterClockwise | ( |  | ) |

Search for all occurrences

## Member Data Documentation

const char* sOuterFlag `[static]`

Search for all occurrences

Properties.

Definition at line 38 of file fbxtrimnurbssurface.h.

FbxPropertyT<FbxBool> OuterFlag

Search for all occurrences

This property handles outer flag.

Default value is false.

Definition at line 44 of file fbxtrimnurbssurface.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxtrimnurbssurface.h

FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary
FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary FbxBoundary